# nvme-wdc-get-crash-dump(1) Manual Page

## NAME

nvme-wdc-get-crash-dump - Retrieve WDC device's crash dump.

## SYNOPSIS

    nvme wdc get-crash-dump <device> [--output-file=<FILE>, -o <FILE>]

## DESCRIPTION

For the NVMe device given, sends the WDC vendor unique crash dump request and saves the result to file. In current implementation crash dump is captured if it is present. On success it will save the dump in file with appropriate suffix. Note that this command will clear the available dump from the device on success.

The <device> parameter is mandatory NVMe character device (ex: /dev/nvme0).

This will only work on WDC devices supporting this feature. Results for any other device are undefined.

## OPTIONS

-o <FILE>
--output-file=<FILE>

  Output file; defaults to device serial number followed by "crash_dump" suffix

## EXAMPLES

- Gets the crash dump from the device and saves to default file in current directory (e.g. STM00019F3F9crash_dump.bin):

      # nvme wdc get-crash-dump /dev/nvme0

- Gets the crash dump from the device and saves to defined file in current directory (e.g. testSTM00019F3F9crash_dump.bin):

      # nvme wdc get-crash-dump /dev/nvme0 -o test

- Gets the crash dump from the device and saves to defined file with pathname (e.g. /tmp/testSTM00019F3F9crash_dump.bin):

      # nvme wdc get-crash-dump /dev/nvme0 -o /tmp/test

## NVME

Part of the nvme-user suite